Subject: bug#25976: man page version is outdated in Guix 0.12.0 tarball

From: [email-masked] (Ludovic Courtès)
Date: Mon, 06 Mar 2017 15:45:14 +0100

Mathieu Lirzin <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hi,
>>
>> Mathieu Lirzin <[email-masked]> skribis:
>>
>>> Alex Vong <[email-masked]> writes:
>>>
>>>> The man page version in Guix 0.12.0 tarball[0] is outdated. When running
>>>>
>>>>     $ man guix
>>>>
>>>> the name of the man page is
>>>>
>>>>     guix - manual page for guix 0.11.0
>>>>
>>>> I think it was forgotten to be updated during the 0.12.0 release.
>>>>
>>>> [0]: https://alpha.gnu.org/gnu/guix/guix-0.12.0.tar.gz
>>>>
>>>
>>> I think we should add the generated man pages to the
>>> MAINTAINERCLEANFILES Automake variable and document the release process
>>> in a "README-release" file which should contain running 'make
>>> maintainer-clean'.
>>
>> The process is currently documented here:
>>
>>   https://git.savannah.gnu.org/cgit/guix/maintenance.git/tree/doc/release.org
>
> Oops I have overlooked that.
>
>> Would it work to have ‘distcheck’ depend on ‘maintainer-clean’?  That
>> would be even better.
>
> Unfornately 'maintainer-clean' is removing the current Makefile so it
> can't be used as a prerequisite.
>
> I guess we can't do better that just adding a step for 'make
> maintainer-clean' before 'make distcheck' in the release documentation.

OK, makes sense.  Could you add it?

> While reading "doc/release.org" I have realized it doesn't speak about
> fetching and committing the latest translations from the Translation Project.

We usually fetch them any time we get a translation update notification
on the mailing list, which I think is equivalent no?

Thanks,
Ludo’.